package letzplay.core;

import java.io.IOException;

public interface GameLoop {
    GameEngine game = GameEngine.getInstance();

    void init();

    void input(String trigger);

    void update();

    Output output();

    void save() throws IOException;

    void load() throws IOException, ClassNotFoundException;
}
